Bug 193152 - Service Worker fetch should obey its referrer policy
Summary: Service Worker fetch should obey its referrer policy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-04 12:18 PST by youenn fablet
Modified: 2019-01-06 06:18 PST (History)
7 users (show)

See Also:


Attachments
Patch (31.54 KB, patch)
2019-01-04 12:25 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (4.02 MB, application/zip)
2019-01-04 13:55 PST, Build Bot
no flags Details
Patch (33.43 KB, patch)
2019-01-04 14:16 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.51 MB, application/zip)
2019-01-04 15:20 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-01-04 12:18:35 PST
Service Worker fetch should obey its referrer policy
Comment 1 Radar WebKit Bug Importer 2019-01-04 12:24:38 PST
<rdar://problem/47054495>
Comment 2 youenn fablet 2019-01-04 12:25:40 PST
Created attachment 358348 [details]
Patch
Comment 3 Build Bot 2019-01-04 13:54:59 PST
Comment on attachment 358348 [details]
Patch

Attachment 358348 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10631849

New failing tests:
http/wpt/service-workers/persistent-importScripts.html
imported/w3c/web-platform-tests/fetch/api/policies/referrer-origin-service-worker.https.html
Comment 4 Build Bot 2019-01-04 13:55:01 PST
Created attachment 358363 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 youenn fablet 2019-01-04 14:16:08 PST
Created attachment 358365 [details]
Patch
Comment 6 Build Bot 2019-01-04 15:20:19 PST
Comment on attachment 358365 [details]
Patch

Attachment 358365 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10633146

New failing tests:
http/wpt/css/css-animations/start-animation-001.html
Comment 7 Build Bot 2019-01-04 15:20:21 PST
Created attachment 358381 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 8 youenn fablet 2019-01-04 15:24:25 PST
Comment on attachment 358381 [details]
Archive of layout-test-results from ews100 for mac-sierra

Error unrelated
Comment 9 WebKit Commit Bot 2019-01-05 12:51:22 PST
Comment on attachment 358365 [details]
Patch

Clearing flags on attachment: 358365

Committed r239659: <https://trac.webkit.org/changeset/239659>
Comment 10 WebKit Commit Bot 2019-01-05 12:51:24 PST
All reviewed patches have been landed.  Closing bug.